Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

## Class CreditorReferenceInformationSCT

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_002_02.CreditorReferenceInformationSCT

    public class CreditorReferenceInformationSCT
    extends java.lang.Object

Java class for CreditorReferenceInformationSCT complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceInformationSCT">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtrRefTp" type="{urn:swift:xsd:$pain.001.002.02}CreditorReferenceTypeSCT"/>
             <element name="CdtrRef" type="{urn:swift:xsd:$pain.001.002.02}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `cdtrRef`
`protected CreditorReferenceTypeSCT` `cdtrRefTp`

### Constructor Summary

Constructors
`CreditorReferenceInformationSCT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCdtrRef()` Gets the value of the cdtrRef property.
`CreditorReferenceTypeSCT` `getCdtrRefTp()` Gets the value of the cdtrRefTp property.
`void` `setCdtrRef​(java.lang.String value)` Sets the value of the cdtrRef property.
`void` `setCdtrRefTp​(CreditorReferenceTypeSCT value)` Sets the value of the cdtrRefTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdtrRefTp

    protected CreditorReferenceTypeSCT cdtrRefTp

#### cdtrRef

    protected java.lang.String cdtrRef

### Constructor Detail

#### CreditorReferenceInformationSCT

    public CreditorReferenceInformationSCT()

### Method Detail

#### getCdtrRefTp

    public CreditorReferenceTypeSCT getCdtrRefTp()

Gets the value of the cdtrRefTp property.

Returns:
  possible object is `CreditorReferenceTypeSCT`

#### setCdtrRefTp

    public void setCdtrRefTp​(CreditorReferenceTypeSCT value)

Sets the value of the cdtrRefTp property.

Parameters:
  `value` - allowed object is `CreditorReferenceTypeSCT`

#### getCdtrRef

    public java.lang.String getCdtrRef()

Gets the value of the cdtrRef property.

Returns:
  possible object is `String`

#### setCdtrRef

    public void setCdtrRef​(java.lang.String value)

Sets the value of the cdtrRef property.

Parameters:
  `value` - allowed object is `String`